/**
 * 金掌柜-统计分析
 * Created by 16060822 on 17/03/10.
 **/
require.config({
	baseUrl: 'scripts',
	paths: {
		exp: './lib/exp',
		zepto: './lib/zepto.min',
		template: './lib/template.min',
		echarts: './lib/echarts.min',
	}
});

require(['zepto', 'template', 'exp', 'echarts'], function($, template, Exp, echarts) {

	/********************** 公共工具类 ***************/

	var browser = {
		versions: function() {
			var u = navigator.userAgent,
				app = navigator.appVersion;
			return {
				trident: u.indexOf('Trident') > -1, //IE内核
				presto: u.indexOf('Presto') > -1, //opera内核
				webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
				gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
				mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
				ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
				android: u.indexOf('Android') > -1 || u.indexOf('Adr') > -1, //android终端
				iPhone: u.indexOf('iPhone') > -1, //是否为iPhone或者QQHD浏览器
				iPad: u.indexOf('iPad') > -1, //是否iPad
				webApp: u.indexOf('Safari') == -1, //是否web应该程序，没有头部与底部
				weixin: u.indexOf('MicroMessenger') > -1, //是否微信 （2015-01-22新增）
				qq: u.match(/\sQQ/i) == " qq" //是否QQ
			};
		}(),
		language: (navigator.browserLanguage || navigator.language).toLowerCase()
	}

	var PublicUtil = {
		isNotEmpty: function(val) {
			return !this.isEmpty(val);
		},
		isEmpty: function(val) {
			if((val == null || typeof(val) == "undefined") || (typeof(val) == "string" && val == "" && val != "undefined")) {
				return true;
			} else {
				return false;
			}
		},
		isAndroid: function() {
			if(browser.versions.android) {
				return true;
			}
			return false;
		},
		isIOS: function() {
			if(browser.versions.ios) {
				return true;
			}
			return false;
		}
	};

	var hideLoadingDialog = function(reqCount) {
		if(reqCount <= 0) {
			window.WebViewJavascriptBridge.callHandler(
				'hideLoadingDialog', {
					'param': {}
				},
				function(responseData) {}
			);
		}
	}


	/********************** 业务-统计 ***************/


	/********************** 连接桥 ***************/
	function connectWebViewJavascriptBridge(callback) {
		//Ard
		if(window.WebViewJavascriptBridge) {
			callback(WebViewJavascriptBridge)
		} else {
			document.addEventListener('WebViewJavascriptBridgeReady', function() {
				callback(WebViewJavascriptBridge)
			}, false);
		}
		//iOS
		if(window.WebViewJavascriptBridge) {
			return callback(WebViewJavascriptBridge);
		}
		if(window.WVJBCallbacks) {
			return window.WVJBCallbacks.push(callback);
		}
		window.WVJBCallbacks = [callback];
		var WVJBIframe = document.createElement('iframe');
		WVJBIframe.style.display = 'none';
		WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__';
		document.documentElement.appendChild(WVJBIframe);
		setTimeout(function() {
			document.documentElement.removeChild(WVJBIframe)
		}, 0);
	}

	// 第一次连接时初始化bridage
	connectWebViewJavascriptBridge(function(bridge) {

		if(PublicUtil.isAndroid()) {
			//初始化完成
			bridge.init(function(message, responseCallback) {
				//显示页面
				bridge.callHandler(
					'showTabByType', {
						'param': {}
					},
					function(responseData) {
						
					}
				);
				//返回数据
				var data = {};
				responseCallback(data);
			});
		} else {
			//显示页面
			bridge.callHandler(
				'showTabByType', {
					'param': {}
				},
				function(responseData) {
					
				}
			);
		}
	});

});